package cn.com.countrygarden.bi.main.dao.canteen;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.CanteenScoresocedaanDTO;
import cn.com.countrygarden.bi.main.dto.CanteenScorestatisticsDTO;
import cn.com.countrygarden.bi.main.model.test.Test;
import cn.com.countrygarden.bi.main.model.canteen.CanteenScore;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblem;
/**
 * 饭堂调查得分-数据层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-13
 */
public interface CanteenScoreMapper extends Mapper<CanteenScore>{
	
	List<CanteenScore> bdpsndoccadati(@Param("bdid") String bdid,@Param("canteeninsdid") int canteeninsdid);
    int updatescore(@Param("bdid") String bdid,@Param("canteeninsdid") int canteeninsdid);
    
    int deletescore();
    
    List<CanteenScorestatisticsDTO> getcascore(CanteenScorestatisticsDTO cantesore);
    
    List<ReviewQuestionnaireProblem> soceranwen(@Param("ciid")Integer ciid,@Param("rqid")Integer rqid);
    
    List<CanteenScoresocedaanDTO> socedaan(@Param("rqid")Integer rqid,@Param("ciid")Integer ciid);
    
    List<CanteenScorestatisticsDTO> canteenareatu(@Param("areaId") String areaId);
    
    List<CanteenScorestatisticsDTO> canteenprojectu(@Param("areaId") String areaId);
}